#ifndef __CFIRE_INCLUDED__
#define __CFIRE_INCLUDED__

#include <allegro.h>

class CFire
{
public:
	CFire(void);

	CFire(int x, int y, int w, int h);


	virtual ~CFire(void);

	static void InitPalette(void);


	void Update(void);
	void Draw(BITMAP* dest);

	inline void SetPos(int x, int y) {m_x = x; m_y = y;};

	inline void Stop() {m_stopped = true;};

protected:
	static PALETTE palette;
	BITMAP * m_bitmap;
	unsigned char * m_temp;

	static const int FIRE_HOTSPOTS = 20;
	int m_hotspot[FIRE_HOTSPOTS];

	bool m_stopped;
	int m_x;
	int m_y;
	int m_w;
	int m_h;
};

#endif

